> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Change a Pix key entry

> Re-points a Pix key to a new transactional account and/or owner name within the same PSP. The key value is unchanged.



## OpenAPI

````yaml en/openapi/v3-current/pix.yaml PUT /v1/entries/{entryId}
openapi: 3.0.3
info:
  title: Plugin BR Pix Direct - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-direct.api.lerian.net
  - url: https://plugin-pix-direct-qrcode.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/entries/{entryId}:
    put:
      tags:
        - Key DICT API
      summary: Change a Pix key entry
      description: >-
        Re-points a Pix key to a new transactional account and/or owner name
        within the same PSP. The key value is unchanged.
      parameters:
        - description: The Pix key value (URL-encoded).
          in: path
          name: entryId
          required: true
          schema:
            description: The Pix key value (URL-encoded).
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeEntryBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeEntryResponse'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: Error
components:
  schemas:
    ChangeEntryBody:
      additionalProperties: false
      properties:
        accountId:
          description: The CRM account id of the key owner (resolves the server-side ISPB).
          type: string
        accountOpeningDate:
          description: The new account's opening timestamp (RFC3339).
          type: string
        newAccount:
          description: The new account number to associate with the key.
          type: string
        newAccountType:
          description: The new account type (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).
          format: int64
          type: integer
        newBranch:
          description: The new branch number to associate with the key.
          type: string
        newName:
          description: The new owner full name / legal name.
          type: string
        newTradeName:
          description: The new owner trade name (sent only for a corporate owner).
          type: string
        reason:
          description: >-
            Change reason (0=Customer Request,2=Branch
            Transfer,6=Reconciliation,8=Receita Federal Validation). EVP keys
            must not use 0.
          format: int64
          type: integer
      required:
        - accountId
        - reason
      type: object
    ChangeEntryResponse:
      additionalProperties: false
      properties:
        claimOpenedAt:
          description: >-
            When a possession/portability claim was opened by the change
            (RFC3339), if any.
          type: string
        createdAt:
          description: When the key was created (RFC3339).
          type: string
        key:
          description: The Pix key (unchanged).
          type: string
        ownershipStartAt:
          description: When ownership of the key began (RFC3339).
          type: string
      required:
        - key
      type: object
    Detail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          nullable: true
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          format: uri
          type: string
        status:
          description: HTTP status code
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        JWT Bearer token authentication. Obtain token from
        `/v1/login/oauth/access_token` endpoint

        using client credentials (clientId and clientSecret).


        Include token in Authorization header:

        `Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...`


        Token expires after 3600 seconds (1 hour).

````